Theories.TheoryAnchor (JUnit API)
Keywords: org.junit.experimental.theories.Theories.TheoryAnchor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.junit.experimental.theories
Class Theories.TheoryAnchor

    java.lang.Object
      org.junit.runners.model.Statement
          org.junit.experimental.theories.Theories.TheoryAnchor

Enclosing class:
  Theories

    public static class Theories.TheoryAnchor

extends Statement

Constructor Summary
`Theories.TheoryAnchor(FrameworkMethod method, TestClass testClass)`

Method Summary
`void` | `evaluate()` Run the action, throwing a `Throwable` if anything goes wrong.
`protected void` | `handleAssumptionViolation(org.junit.internal.AssumptionViolatedException e)`
`protected void` | `handleDataPointSuccess()`
`protected void` | `reportParameterizedError(Throwable e, Object... params)`
`protected void` | `runWithAssignment(org.junit.experimental.theories.internal.Assignments parameterAssignment)`
`protected void` | `runWithCompleteAssignment(org.junit.experimental.theories.internal.Assignments complete)`
`protected void` | `runWithIncompleteAssignment(org.junit.experimental.theories.internal.Assignments incomplete)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Theories.TheoryAnchor

    public Theories.TheoryAnchor(FrameworkMethod method,
                                 TestClass testClass)

Method Detail

### evaluate

    public void evaluate()
                  throws Throwable

  Description copied from class: `Statement`
  Run the action, throwing a `Throwable` if anything goes wrong.

  Specified by:
    `evaluate` in class `Statement`
  Throws:
    `Throwable`

### runWithAssignment

    protected void runWithAssignment(org.junit.experimental.theories.internal.Assignments parameterAssignment)
                              throws Throwable

  Throws:
    `Throwable`

### runWithIncompleteAssignment

    protected void runWithIncompleteAssignment(org.junit.experimental.theories.internal.Assignments incomplete)
                                        throws InstantiationException,
                                               IllegalAccessException,
                                               Throwable

  Throws:
    `InstantiationException`
    `IllegalAccessException`
    `Throwable`

### runWithCompleteAssignment

    protected void runWithCompleteAssignment(org.junit.experimental.theories.internal.Assignments complete)
                                      throws InstantiationException,
                                             IllegalAccessException,
                                             InvocationTargetException,
                                             NoSuchMethodException,
                                             Throwable

  Throws:
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `NoSuchMethodException`
    `Throwable`

### handleAssumptionViolation

    protected void handleAssumptionViolation(org.junit.internal.AssumptionViolatedException e)

### reportParameterizedError

    protected void reportParameterizedError(Throwable e,
                                            Object... params)
                                     throws Throwable

  Throws:
    `Throwable`

### handleDataPointSuccess

    protected void handleDataPointSuccess()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD